<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";


$id     = $_POST['id'];
$nome   = $_POST['nome'];
$email   = $_POST['email'];
$sobrenome   = $_POST['sobrenome'];
$senha1   = trim($_POST['senha1']);
$senha2   = trim($_POST['senha2']);

mysql_query("UPDATE usuarios SET  nome='$nome',email='$email',sobrenome='$sobrenome' WHERE id='$id'", $con) or die(mysql_error());

	

if(($senha2 == $senha1) && $senha1!=''){ 

	if($_SESSION['adm']['id_user']==$id){ 
	$_SESSION['adm']['senha_usuario'] = md5(trim($senha1).sti('salt'));

	
}
	$senhaf = md5(trim($senha1).sti('salt'));
	mysql_query("UPDATE usuarios SET  senha='$senhaf' WHERE id='$id'", $con) or die(mysql_error());


}
  
header("location:edit.php?id=$id");